# types.ExtrinsicDataWithFees

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md) / ExtrinsicDataWithFees

## Interface: ExtrinsicDataWithFees

[types](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md).ExtrinsicDataWithFees

### Hierarchy

* [`ExtrinsicData`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md)

  ↳ **`ExtrinsicDataWithFees`**

### Table of contents

#### Properties

* [address](#address)
* [blockHash](#blockhash)
* [blockNumber](#blocknumber)
* [extrinsicHash](#extrinsichash)
* [extrinsicIdx](#extrinsicidx)
* [fee](#fee)
* [nonce](#nonce)
* [params](#params)
* [specVersionId](#specversionid)
* [success](#success)
* [txTag](#txtag)

### Properties

#### address

• **address**: `null` | `string`

public key of the signer. Unsigned transactions have no signer, in which case this value is null (example: an enacted governance proposal)

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[address](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#address)

**Defined in**

[types/index.ts:329](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L329)

***

#### blockHash

• **blockHash**: `string`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[blockHash](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#blockhash)

**Defined in**

[types/index.ts:323](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L323)

***

#### blockNumber

• **blockNumber**: `BigNumber`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[blockNumber](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#blocknumber)

**Defined in**

[types/index.ts:324](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L324)

***

#### extrinsicHash

• **extrinsicHash**: `string`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[extrinsicHash](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#extrinsichash)

**Defined in**

[types/index.ts:338](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L338)

***

#### extrinsicIdx

• **extrinsicIdx**: `BigNumber`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[extrinsicIdx](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#extrinsicidx)

**Defined in**

[types/index.ts:325](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L325)

***

#### fee

• **fee**: [`Fees`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.fees.md)

**Defined in**

[types/index.ts:342](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L342)

***

#### nonce

• **nonce**: `null` | `BigNumber`

nonce of the transaction. Null for unsigned transactions where address is null

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[nonce](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#nonce)

**Defined in**

[types/index.ts:333](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L333)

***

#### params

• **params**: `Record`<`string`, `unknown`>\[]

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[params](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#params)

**Defined in**

[types/index.ts:335](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L335)

***

#### specVersionId

• **specVersionId**: `BigNumber`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[specVersionId](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#specversionid)

**Defined in**

[types/index.ts:337](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L337)

***

#### success

• **success**: `boolean`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[success](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#success)

**Defined in**

[types/index.ts:336](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L336)

***

#### txTag

• **txTag**: `TxTag`

**Inherited from**

[ExtrinsicData](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md).[txTag](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdata.md#txtag)

**Defined in**

[types/index.ts:334](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/types/index.ts#L334)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/types.extrinsicdatawithfees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
